package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.entity.players.Player;

public class Vampire extends Enemy{

    private static  int HP = 200;
    private static  int vampierDamage = 40;

    public Vampire () {
        super(HP , vampierDamage);
    }

    @Override
    public String getName() {
        return "Vampire";
    }

    @Override
    public void specialAbility(Player target) {
        System.out.println("Stealing life!...");
        target.takeDamage(vampierDamage);
        this.heal((vampierDamage * 70) / 100);
    }

}
